Skip to main content

Notification endpoints

Generated reference

This page is generated from the OpenAPI spec (scripts/generate_api_docs.py). Do not edit by hand — regenerate when the API changes.

Endpoints are the channels through which a user or flow is notified (SMS, call, email, Telegram, …). Endpoints are verified with an OTP before they can carry alerts.

All endpoints require Authorization: Bearer <accessToken> — see Authentication.

EndpointSummary
GET /api/v1/endpointGet list of endpoints
POST /api/v1/endpointCreate new endpoint
GET /api/v1/endpoint/indexFlowGet list of flow endpoints
GET /api/v1/endpoint/createFlowEndpointsGet endpoints available for flow creation
GET /api/v1/endpoint/{id}Get endpoint by ID
PUT /api/v1/endpoint/{id}Update endpoint
DELETE /api/v1/endpoint/{id}Delete endpoint
POST /api/v1/endpoint/sendOTPsend OTP code
POST /api/v1/endpoint/changeOwner/{id}Change endpoint owner

GET /api/v1/endpoint​

Get list of endpoints

Parameters

NameInRequiredTypeDescription
pagequeryintegerPage number
perPagequeryintegerItems per page
namequerystringFilter by name

Responses: 200 List of endpoints · 401 Unauthorized

POST /api/v1/endpoint​

Create new endpoint

Request body (application/json)

FieldTypeRequiredDescription
namestring✅Example: My SMS Endpoint
typestring (sms | call | email | telegram | bale | teams | matter-most | flow)✅Example: sms
valuestring✅Example: 09000000000
accessUserIdsarray of string
accessTeamIdsarray of string
otpCodestringFor sms, call, email type the otp verification is required Example: 12345
chatIdstringFor Telegram type
threadIdstringFor Telegram type
botTokenstringFor Telegram type
stepsarray of objectFor flow type - array of steps with wait and endpoint types

Responses: 201 Endpoint created successfully. Response structure varies based on endpoint type. · 422 Validation error

GET /api/v1/endpoint/indexFlow​

Get list of flow endpoints

Responses: 200 List of flow endpoints · 401 Unauthorized

GET /api/v1/endpoint/createFlowEndpoints​

Get endpoints available for flow creation

Responses: 200 List of available endpoints · 401 Unauthorized

GET /api/v1/endpoint/{id}​

Get endpoint by ID

Parameters

NameInRequiredTypeDescription
idpath✅string

Responses: 200 Endpoint details. Response structure varies based on endpoint type (sms, email, telegram, flow, etc.) · 404 Not found

PUT /api/v1/endpoint/{id}​

Update endpoint

Parameters

NameInRequiredTypeDescription
idpath✅string

Request body (application/json)

FieldTypeRequiredDescription
namestring✅Example: Updated Endpoint Name
typestring (sms | call | email | telegram | bale | teams | matter-most | flow)✅Example: telegram
valuestring✅Example: 09000000000
accessUserIdsarray of string
accessTeamIdsarray of string
otpCodestringFor sms, call, email type the otp verification is required if the value updated in process Example: 12345
chatIdstringFor Telegram type
threadIdstringFor Telegram type
botTokenstringFor Telegram type
stepsarray of objectFor flow type - array of steps with wait and endpoint types

Responses: 200 Endpoint updated successfully. Response structure varies based on endpoint type. · 404 Not found

DELETE /api/v1/endpoint/{id}​

Delete endpoint

Parameters

NameInRequiredTypeDescription
idpath✅string

Responses: 200 Endpoint deleted successfully · 404 Not found

POST /api/v1/endpoint/sendOTP​

send OTP code

Request body (application/json)

FieldTypeRequiredDescription
typestring (sms | call | email)✅Example: sms
valuestring✅Example: 09000000000

Responses: 201 OTP code has been sent successfully. · 422 Validation error

POST /api/v1/endpoint/changeOwner/{id}​

Change endpoint owner

Parameters

NameInRequiredTypeDescription
idpath✅string

Request body (application/json)

FieldTypeRequiredDescription
userIdstring✅Example: user123

Responses: 200 Owner changed successfully · 404 Not found